The conformance checks zone runs the conformance checking computation via a [Python recipe](recipe:compute_conformance_checks).

![Conformance Checks Zone.png](VCLO9ihsCYZs)

As described in this [article](article:4) conformance checks consist in assessing how 'fit' traces are relative to a reference process. The Python recipe takes the [cleaned workflow dataset](dataset:workflow_clean) and the [saved processes folder](managed_folder:1rhVX912) as inputs. The traces from the cleaned workflow dataset are checked against all the processes from the saved processes folder. 

In the recipe, the Petri net is loaded from the folder, along with the initial markings and the final markings. The workflow is formatted as an event log using the pm4py library. The token replay algorithm is applied to the process and the traces that outputs the conformance checks dataset. The case id is added to the dataset to join it with all additional columns. As we will keep only one row per case for conformance checks other columns (timestamp and additional columns) are aggregated: the start time is taken for the timestamp column, and the last value is taken for each additional column. These additional attributes are joined to the conformance checks dataframe to output the [process_conformance_checks](dataset:process_conformance_checks) dataset.

This dataset also contains columns that are not displayed in the [final tab of the webapp](article:15) but could be interesting to a user, including the transitions_with_problems column which lists all the transitions that have problems in a given trace.
